
QGIS Application - Bug report #17489

[Data Source Manager] Click the Test button in the virtual layer tab without a query entered crashes 

QGIS

2017-11-17 06:07 PM - Harrissou Santanna

Status: Closed

Priority: High

Assignee: Alessandro Pasotti

Category: Virtual Layers

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: Yes

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 25386

Description

Open the Data source Manager --> Virtual layer tab

Click the Test button (I know, it doesn't make sense but...)

kaboom!!! QGIS crashes with the following report (note than in 2.18, you get a "Malformed URL" message box which could be better

formulated.)

User Feedback

Report Details

Crash ID: 91c0bc17f00fa3250de00aee2fa114301bbf621c

Stack Trace

isProvider :

isProvider :

isProvider :

isProvider :

QMetaObject::activate :

QAbstractButton::clicked :

QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsOgcUtils::geometryFromGMLMultiLineString :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsOgcUtils::geometryFromGMLMultiLineString :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QDialog::exec :

QgsDecorationCopyright::qt_metacast :

QgsDecorationCopyright::qt_metacast :

QgsDecorationCopyright::qt_metacast :

QgsDecorationCopyright::qt_metacast :
QgsDecorationCopyright::qt_metacast :

QMetaObject::activate :

QAction::activate :

QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QToolButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsOgcUtils::geometryFromGMLMultiLineString :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsOgcUtils::geometryFromGMLMultiLineString :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

QgsDecorationCopyright::qt_metacast :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 2.99.0-Master

QGIS code revision: commit:c321700ada

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.2

Running against GDAL: 2.2.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.15063

Associated revisions

Revision 4272f5d8 - 2017-11-20 08:55 AM - Alessandro Pasotti 

[bugfix] Do not crash when testing empty virtual layers

Fixes #17489

Require backporting

Revision ac109e43 - 2017-11-20 05:11 PM - Alessandro Pasotti 

[bugfix] Do not crash when testing empty virtual layers

Fixes #17489
Backported from master

History

#1 - 2017-11-18 06:54 PM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

#2 - 2017-11-20 09:17 AM - Alessandro Pasotti

- Easy fix? changed from No to Yes

- Pull Request or Patch supplied changed from No to Yes

- Status changed from Open to In Progress

https://github.com/qgis/QGIS/pull/5674

#3 - 2017-11-20 09:42 AM - Anonymous

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|4272f5d8251cb3ee6a9fde3c3586dd1b2d6c738d.

#4 - 2017-12-05 07:49 PM - Giovanni Manghi

- Resolution set to fixed/implemented
